#
# spec file for package python-pykeepass
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pykeepass
Version:        3.0.2
Release:        lp151.1.1
License:        GPL-3.0
Summary:        Low-level library to interact with keepass databases
Url:            https://github.com/pschmitt/pykeepass
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pykeepass/pykeepass-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module easypysmb}
BuildRequires:  %{python_module python-dateutil}
# /SECTION
BuildRequires:  fdupes
Requires:       python-easypysmb
Requires:       python-python-dateutil
BuildArch:      noarch

%python_subpackages

%description
This library allows you to write entries to a KeePass database


%prep
%setup -q -n pykeepass-%{version}

%build
%python_build

%install
%python_install
%{python_expand # Remove hashbangs from a non-exec file
sed -Ei "1{/^#!\/usr\/bin\/env python/d}" %{buildroot}%{$python_sitelib}/pykeepass/pykeepass.py
sed -Ei "1{/^#!\/bin\/env python/d}" %{buildroot}%{$python_sitelib}/pykeepass/kdbx_parsing/kdbx*.py
}

# Recompile to fix inconsitent mtime of object files with sources modified post python_install step
%py_compile %{buildroot}%{python_sitelib}/pykeepass/
%py3_compile %{buildroot}%{python3_sitelib}/pykeepass/

%{python_expand # Remove exec bits from files not in exec path
chmod -x %{buildroot}%{$python_sitelib}/pykeepass-%{version}-py%{$python_version}.egg-info/*.txt
chmod -x %{buildroot}%{$python_sitelib}/pykeepass-%{version}-py%{$python_version}.egg-info/PKG-INFO
}

%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Sep 12 2018 badshah400@gmail.com
- Update to version 3.0.2:
  * Exclude tests from pypi package.
- Changes from version 3.0.1:
  * Fix installation (gh#pschmitt/pykeepass#98).
- Changes from version 3.0.0:
  * Update lxml from 4.2.1 to 4.2.3 (gh#pschmitt/pykeepass#86).
  * KDBX4 support (gh#pschmitt/pykeepass#84).
  * Update argon2-cffi from 18.1.0 to 18.3.0
    (gh#pschmitt/pykeepass#92).
  * Update pycryptodome from 3.6.3 to 3.6.6
    (gh#pschmitt/pykeepass#91).
  * Fix baseelement logic (gh#pschmitt/pykeepass#94).
  * Make pykeepass usable as a context manager
    (gh#pschmitt/pykeepass#87).
  * Strip out non-ASCII characters on decrypt
    (gh#pschmitt/pykeepass#97).
- Drop dependency on python-libkeepass, python-pykeepass no longer
  requires this since version 3.0.0; python-libkeepass is now
  deprecated.
- Recompile .pyc files from sources modified after install script
  to prevent inconsistent mtimes between object files and sources.
* Wed Aug 22 2018 badshah400@gmail.com
- Initial package.
